#include "ordertxt.ih"

void OrderTxt::inspectMain(ConstIterVectIter const &iter, 
                           ConstIterVectIter const &end) const
{
    string name = String::lc((*iter)->name);
    if ((name == "main.cc" or name == "main.cpp") and iter + 1 != end)
        errIdx((*iter)->idx) << (*iter)->name << " must be specified last\n";
}
